FixedRNG Class Reference
Inheritance diagram for FixedRNG:

## Public Member Functions

| FixedRNG (BufferedTransformation &source)
void | GenerateBlock (byte *output, size_t size)
| Generate random array of bytes. More...
Public Member Functions inherited from RandomNumberGenerator
virtual void | IncorporateEntropy (const byte *input, size_t length)
| Update RNG state with additional unpredictable values. More...
virtual bool | CanIncorporateEntropy () const
| Determines if a generator can accept additional entropy. More...
virtual byte | GenerateByte ()
| Generate new random byte and return it. More...
virtual unsigned int | GenerateBit ()
| Generate new random bit and return it. More...
virtual word32 | GenerateWord32 (word32 min=0, word32 max=0xffffffffUL)
| Generate a random 32 bit word in the range min to max, inclusive. More...
virtual void | GenerateIntoBufferedTransformation (BufferedTransformation &target, const std::string &channel, lword length)
| Generate random bytes into a BufferedTransformation. More...
virtual void | DiscardBytes (size_t n)
| Generate and discard n bytes. More...
template<class IT >
void | Shuffle (IT begin, IT end)
| Randomly shuffle the specified array. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Definition at line 63 of file validat2.cpp.

## Member Function Documentation

## GenerateBlock()

void FixedRNG::GenerateBlock | ( | byte * | output,
|  | size_t | size
| ) |  |

inline virtual

Generate random array of bytes.

Parameters

  output | the byte buffer
  size | the length of the buffer, in bytes

All generated values are uniformly distributed over the range specified within the the contraints of a particular generator.

Note
  A derived generator must override either GenerateBlock() or GenerateIntoBufferedTransformation(). They can override both, or have one call the other.

Reimplemented from RandomNumberGenerator.

Definition at line 68 of file validat2.cpp.

The documentation for this class was generated from the following file:

- validat2.cpp